cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator Class Reference
Predicate Iterator Concept

A const iterator implementing Predicate Iterator Concept enabling sequential read-only access to prediactes.

`#include <predicate_vector.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | ConstIterator (ConstIterator const &it)
| Copy constructor. More...
CUTLASS_HOST_DEVICE | ConstIterator (PredicateVector const &_vec, int _start=0)
CUTLASS_HOST_DEVICE ConstIterator & | operator++ ()
| Pre-increment. More...
CUTLASS_HOST_DEVICE ConstIterator & | operator-- ()
| Pre-decrement. More...
CUTLASS_HOST_DEVICE ConstIterator | operator++ (int)
| Post-increment. More...
CUTLASS_HOST_DEVICE ConstIterator | operator-- (int)
| Post-decrement. More...
CUTLASS_HOST_DEVICE bool | operator== (ConstIterator const &it) const
| Returns true if iterators point to the same bit. More...
CUTLASS_HOST_DEVICE bool | operator!= (ConstIterator const &it) const
| Returns false if iterators point to the same bit. More...
CUTLASS_HOST_DEVICE bool | operator* () const
| Dereferences iterator. More...

## Constructor & Destructor Documentation

## ConstIterator() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::ConstIterator | ( | ConstIterator const & | it | ) |

inline

## ConstIterator() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::ConstIterator | ( | PredicateVector const & | _vec,
|  | int | _start = `0`
| ) |  |

inline

## Member Function Documentation

## operator!=()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator!= | ( | ConstIterator const & | it | ) | const

inline

## operator*()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator* | ( |  | ) | const

inline

## operator++() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE ConstIterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator++ | ( |  | ) |

inline

## operator++() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE ConstIterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator++ | ( | int |  | ) |

inline

## operator--() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE ConstIterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator-- | ( |  | ) |

inline

## operator--() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE ConstIterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator-- | ( | int |  | ) |

inline

## operator==()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::ConstIterator::operator== | ( | ConstIterator const & | it | ) | const

inline

The documentation for this class was generated from the following file:

- predicate_vector.h